Package io.vertx.spi.cluster.ignite

## Class IgniteSslOptions

- java.lang.Object
- - io.vertx.spi.cluster.ignite.IgniteSslOptions

-     public class IgniteSslOptions
      extends Object

  Author:
    Lukas Prettenthaler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteSslOptions()` | Default constructor
    `IgniteSslOptions​(JsonObject options)` | Constructor from JSON
    `IgniteSslOptions​(IgniteSslOptions options)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JksOptions` | `getJksKeyCertOptions()` |
    `JksOptions` | `getJksTrustOptions()` |
    `String` | `getKeyAlgorithm()` | Deprecated. Use vert.x ssl certificate options instead.
    `String` | `getKeyStoreFilePath()` | Deprecated. Use vert.x jksKeyCertOptions.path instead.
    `String` | `getKeyStorePassword()` | Deprecated. Use vert.x jksKeyCertOptions.password instead.
    `String` | `getKeyStoreType()` | Deprecated. Use vert.x ssl certificate options instead.
    `PemKeyCertOptions` | `getPemKeyCertOptions()` |
    `PemTrustOptions` | `getPemTrustOptions()` |
    `PfxOptions` | `getPfxKeyCertOptions()` |
    `PfxOptions` | `getPfxTrustOptions()` |
    `String` | `getProtocol()` | Gets protocol for secure transport.
    `String` | `getTrustStoreFilePath()` | Deprecated. Use vert.x jksTrustOptions.path instead.
    `String` | `getTrustStorePassword()` | Deprecated. Use vert.x jksTrustOptions.password instead.
    `String` | `getTrustStoreType()` | Deprecated. Use vert.x jksTrustOptions instead.
    `boolean` | `isTrustAll()` | When using ssl, trust ALL certificates.
    `IgniteSslOptions` | `setJksKeyCertOptions​(JksOptions jksKeyCertOptions)` | Sets JksKeyCertOptions that will be used for creating a secure socket layer.
    `IgniteSslOptions` | `setJksTrustOptions​(JksOptions jksTrustOptions)` | Sets JksTrustOptions that will be used for creating a secure socket layer.
    `IgniteSslOptions` | `setKeyAlgorithm​(String keyAlgorithm)` | Deprecated. Use vert.x ssl certificate options instead.
    `IgniteSslOptions` | `setKeyStoreFilePath​(String keyStoreFilePath)` | Deprecated. Use vert.x jksKeyCertOptions.path instead.
    `IgniteSslOptions` | `setKeyStorePassword​(String keyStorePassword)` | Deprecated. Use vert.x jksKeyCertOptions.password instead.
    `IgniteSslOptions` | `setKeyStoreType​(String keyStoreType)` | Deprecated. Use vert.x ssl certificate options instead.
    `IgniteSslOptions` | `setPemKeyCertOptions​(PemKeyCertOptions pemKeyCertOptions)` | Sets PemKeyCertOptions that will be used for creating a secure socket layer.
    `IgniteSslOptions` | `setPemTrustOptions​(PemTrustOptions pemTrustOptions)` | Sets PemTrustOptions that will be used for creating a secure socket layer.
    `IgniteSslOptions` | `setPfxKeyCertOptions​(PfxOptions pfxKeyCertOptions)` | Sets PfxKeyCertOptions that will be used for creating a secure socket layer.
    `IgniteSslOptions` | `setPfxTrustOptions​(PfxOptions pfxTrustOptions)` | Sets PfxTrustOptions that will be used for creating a secure socket layer.
    `IgniteSslOptions` | `setProtocol​(String protocol)` | Sets protocol for secure transport.
    `IgniteSslOptions` | `setTrustAll​(boolean trustAll)` | When using ssl, trust ALL certificates.
    `IgniteSslOptions` | `setTrustStoreFilePath​(String trustStoreFilePath)` | Deprecated. Use vert.x jksTrustOptions.path instead.
    `IgniteSslOptions` | `setTrustStorePassword​(String trustStorePassword)` | Deprecated. Use vert.x jksTrustOptions.password instead.
    `IgniteSslOptions` | `setTrustStoreType​(String trustStoreType)` | Deprecated. Use vert.x jksTrustOptions instead.
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteSslOptions

          public IgniteSslOptions()

      Default constructor

    - #### IgniteSslOptions

          public IgniteSslOptions​(IgniteSslOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### IgniteSslOptions

          public IgniteSslOptions​(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### getProtocol

          public String getProtocol()

      Gets protocol for secure transport.
      Returns:
        SSL protocol name.

    - #### setProtocol

          public IgniteSslOptions setProtocol​(String protocol)

      Sets protocol for secure transport.
      Parameters:
        `protocol` - SSL protocol name.
      Returns:
        reference to this, for fluency

    - #### getKeyAlgorithm

          @Deprecated
          public String getKeyAlgorithm()

      Deprecated.
      Use vert.x ssl certificate options instead. It will be removed in vert.x 4.1
      Gets algorithm that will be used to create a key manager.
      Returns:
        Key manager algorithm.

    - #### setKeyAlgorithm

          @Deprecated
          public IgniteSslOptions setKeyAlgorithm​(String keyAlgorithm)

      Deprecated.
      Use vert.x ssl certificate options instead. It will be removed in vert.x 4.1
      Sets key manager algorithm that will be used to create a key manager. Notice that in most cased default value suites well, however, on Android platform this value need to be set to `X509``.`
      Parameters:
        `keyAlgorithm` - Key algorithm name.
      Returns:
        reference to this, for fluency

    - #### getKeyStoreType

          @Deprecated
          public String getKeyStoreType()

      Deprecated.
      Use vert.x ssl certificate options instead. It will be removed in vert.x 4.1
      Gets key store type used for context creation.
      Returns:
        Key store type.

    - #### setKeyStoreType

          @Deprecated
          public IgniteSslOptions setKeyStoreType​(String keyStoreType)

      Deprecated.
      Use vert.x ssl certificate options instead. It will be removed in vert.x 4.1
      Sets key store type used in context initialization.
      Parameters:
        `keyStoreType` - Key store type.
      Returns:
        reference to this, for fluency

    - #### getKeyStoreFilePath

          @Deprecated
          public String getKeyStoreFilePath()

      Deprecated.
      Use vert.x jksKeyCertOptions.path instead. It will be removed in vert.x 4.1
      Gets path to the key store file.
      Returns:
        Path to key store file.

    - #### setKeyStoreFilePath

          @Deprecated
          public IgniteSslOptions setKeyStoreFilePath​(String keyStoreFilePath)

      Deprecated.
      Use vert.x jksKeyCertOptions.path instead. It will be removed in vert.x 4.1
      Sets path to the key store file. This is a mandatory parameter since ssl context could not be initialized without key manager.
      Parameters:
        `keyStoreFilePath` - Path to key store file.
      Returns:
        reference to this, for fluency

    - #### getKeyStorePassword

          @Deprecated
          public String getKeyStorePassword()

      Deprecated.
      Use vert.x jksKeyCertOptions.password instead. It will be removed in vert.x 4.1
      Gets key store password.
      Returns:
        Key store password.

    - #### setKeyStorePassword

          @Deprecated
          public IgniteSslOptions setKeyStorePassword​(String keyStorePassword)

      Deprecated.
      Use vert.x jksKeyCertOptions.password instead. It will be removed in vert.x 4.1
      Sets key store password.
      Parameters:
        `keyStorePassword` - Key store password.
      Returns:
        reference to this, for fluency

    - #### getTrustStoreType

          @Deprecated
          public String getTrustStoreType()

      Deprecated.
      Use vert.x jksTrustOptions instead. It will be removed in vert.x 4.1
      Gets trust store type used for context creation.
      Returns:
        trust store type.

    - #### setTrustStoreType

          @Deprecated
          public IgniteSslOptions setTrustStoreType​(String trustStoreType)

      Deprecated.
      Use vert.x jksTrustOptions instead. It will be removed in vert.x 4.1
      Sets trust store type used in context initialization.
      Parameters:
        `trustStoreType` - Trust store type.
      Returns:
        reference to this, for fluency

    - #### getTrustStoreFilePath

          @Deprecated
          public String getTrustStoreFilePath()

      Deprecated.
      Use vert.x jksTrustOptions.path instead. It will be removed in vert.x 4.1
      Gets path to the trust store file.
      Returns:
        Path to the trust store file.

    - #### setTrustStoreFilePath

          @Deprecated
          public IgniteSslOptions setTrustStoreFilePath​(String trustStoreFilePath)

      Deprecated.
      Use vert.x jksTrustOptions.path instead. It will be removed in vert.x 4.1
      Sets path to the trust store file.
      Parameters:
        `trustStoreFilePath` - Path to the trust store file.
      Returns:
        reference to this, for fluency

    - #### getTrustStorePassword

          @Deprecated
          public String getTrustStorePassword()

      Deprecated.
      Use vert.x jksTrustOptions.password instead. It will be removed in vert.x 4.1
      Gets trust store password.
      Returns:
        Trust store password.

    - #### setTrustStorePassword

          @Deprecated
          public IgniteSslOptions setTrustStorePassword​(String trustStorePassword)

      Deprecated.
      Use vert.x jksTrustOptions.password instead. It will be removed in vert.x 4.1
      Sets trust store password.
      Parameters:
        `trustStorePassword` - Trust store password.
      Returns:
        reference to this, for fluency

    - #### getPemKeyCertOptions

          public PemKeyCertOptions getPemKeyCertOptions()

    - #### setPemKeyCertOptions

          public IgniteSslOptions setPemKeyCertOptions​(PemKeyCertOptions pemKeyCertOptions)

      Sets PemKeyCertOptions that will be used for creating a secure socket layer.
      Parameters:
        `pemKeyCertOptions` - Vertx PEM KeyCertOptions.
      Returns:
        reference to this, for fluency

    - #### getPemTrustOptions

          public PemTrustOptions getPemTrustOptions()

    - #### setPemTrustOptions

          public IgniteSslOptions setPemTrustOptions​(PemTrustOptions pemTrustOptions)

      Sets PemTrustOptions that will be used for creating a secure socket layer.
      Parameters:
        `pemTrustOptions` - Vertx PEM TrustOptions.
      Returns:
        reference to this, for fluency

    - #### getPfxKeyCertOptions

          public PfxOptions getPfxKeyCertOptions()

    - #### setPfxKeyCertOptions

          public IgniteSslOptions setPfxKeyCertOptions​(PfxOptions pfxKeyCertOptions)

      Sets PfxKeyCertOptions that will be used for creating a secure socket layer.
      Parameters:
        `pfxKeyCertOptions` - Vertx PFX KeyCertOptions.
      Returns:
        reference to this, for fluency

    - #### getPfxTrustOptions

          public PfxOptions getPfxTrustOptions()

    - #### setPfxTrustOptions

          public IgniteSslOptions setPfxTrustOptions​(PfxOptions pfxTrustOptions)

      Sets PfxTrustOptions that will be used for creating a secure socket layer.
      Parameters:
        `pfxTrustOptions` - Vertx PFX TrustOptions.
      Returns:
        reference to this, for fluency

    - #### getJksKeyCertOptions

          public JksOptions getJksKeyCertOptions()

    - #### setJksKeyCertOptions

          public IgniteSslOptions setJksKeyCertOptions​(JksOptions jksKeyCertOptions)

      Sets JksKeyCertOptions that will be used for creating a secure socket layer.
      Parameters:
        `jksKeyCertOptions` - Vertx JKS KeyCertOptions.
      Returns:
        reference to this, for fluency

    - #### getJksTrustOptions

          public JksOptions getJksTrustOptions()

    - #### setJksTrustOptions

          public IgniteSslOptions setJksTrustOptions​(JksOptions jksTrustOptions)

      Sets JksTrustOptions that will be used for creating a secure socket layer.
      Parameters:
        `jksTrustOptions` - Vertx JKS TrustOptions.
      Returns:
        reference to this, for fluency

    - #### isTrustAll

          public boolean isTrustAll()

      When using ssl, trust ALL certificates. WARNING Trusting ALL certificates will open you up to potential security issues such as MITM attacks.
      Returns:
        Trust all flag.

    - #### setTrustAll

          public IgniteSslOptions setTrustAll​(boolean trustAll)

      When using ssl, trust ALL certificates. WARNING Trusting ALL certificates will open you up to potential security issues such as MITM attacks.
      Parameters:
        `trustAll` - Trust all flag.
      Returns:
        reference to this, for fluency

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON